import { CommonModule } from '@angular/common';
import { Component, Input, NgModule } from '@angular/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CardsComponent {
    constructor() {
        /**
         * recibe el icono a usar
         */
        this.icono = "fa fa-user";
        this.classTexto = "w-80 float-left";
        /**
         * Enviar el tamaño de columnas y el tamaño del icono
         */
        this.classImagen = "w-20 fontSize40";
    }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
CardsComponent.decorators = [
    { type: Component, args: [{
                selector: 'ngx-utilitario-cards',
                template: "<div class=\"cards\">\n        <div [ngClass]=\"classTexto\">\n            <h2 class=\"cardsTitulo\">{{titulo}}</h2>\n            <h3 class=\"cardsSubtitulo\">{{subtitulo}}</h3>\n        </div>\n        <div [ngClass]=\"classImagen\">\n            <i class=\"{{icono}} float-right cardIcono\" style=\"color: #7a5449;\"></i>\n        </div>\n    </div>",
                styles: [".cards{background:#fff;box-shadow:rgba(0,0,0,.1);cursor:pointer;width:100%;float:left}.cards:hover{background-color:rgba(0,0,0,.05)}.cardsTitulo{font-size:.75rem;font-weight:700;text-transform:uppercase;color:#595959;padding:.95rem 0 0 1.2rem}.cardsSubtitulo{color:#b0b0b0;font-size:1.5rem;font-weight:600;line-height:1.5;padding:0 0 .95rem 1.2rem}.cardIcono{padding:1.55rem .5rem .5rem 0}.fontSize40{font-size:2.5rem;padding-right:0}"]
            }] }
];
/** @nocollapse */
CardsComponent.ctorParameters = () => [];
CardsComponent.propDecorators = {
    titulo: [{ type: Input }],
    subtitulo: [{ type: Input }],
    icono: [{ type: Input }],
    classTexto: [{ type: Input }],
    classImagen: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CardsImgTextComponent {
    constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
CardsImgTextComponent.decorators = [
    { type: Component, args: [{
                selector: 'ngx-utilitario-cards-img-text',
                template: "<p>\n  cards-img-text works!\n</p>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
CardsImgTextComponent.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NgxUtilitarioRcltModule {
}
NgxUtilitarioRcltModule.decorators = [
    { type: NgModule, args: [{
                declarations: [CardsComponent, CardsImgTextComponent],
                imports: [
                    CommonModule
                ],
                exports: [CardsComponent, CardsImgTextComponent]
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { CardsComponent, NgxUtilitarioRcltModule, CardsImgTextComponent as ɵa };

//# sourceMappingURL=ngx-utilitario-rclt.js.map